using BMA.EHR.Recurit.Exam.Service.Models.Documents;
using System.ComponentModel.DataAnnotations.Schema;

namespace BMA.EHR.Recurit.Exam.Service.Models.Disables
{
    public class ScoreImport : EntityBase
    {
        public int? Year { get; set; }

        public Document ImportFile { get; set; } = new Document();

        public virtual List<DisableScore> Scores { get; set; } = new List<DisableScore>();

        [ForeignKey("FK_Score_Import_ID")]
        public Guid PeriodExamId { get; set; }

        public PeriodExam PeriodExam { get; set; }
    }
}
